%define module	VFSsimple-Drv-Http
%define name	perl-%{module}
%define version	0.03
%define release	%mkrel 5

Summary:	A VFSsimple implementation over Http protocol
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	WTFPL
Group:		Development/Perl
Requires:	perl
URL:		http://nanardon.zarb.org/darcsweb/darcsweb.cgi?r=VFSsimple;a=summary
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/DBI/%{module}-%{version}.tar.gz
BuildRequires:	perl(URI)
BuildRequires:  perl(Net::HTTP)
BuildRequires:  perl(VFSsimple)
BuildArch: noarch

Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provide access method for VFSsimple module to access to file
on http server.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%__make CFLAGS="%{optflags}"

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorlib}/*
%{_mandir}/*/*


%changelog
* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.03-5mdv2010.0
+ Revision: 430642
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.03-4mdv2009.0
+ Revision: 258751
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.03-3mdv2009.0
+ Revision: 246685
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Oct 17 2007 Olivier Thauvin <nanardon@mandriva.org> 0.03-1mdv2008.1
+ Revision: 99444
- initial pkg
- Create perl-VFSsimple-Drv-Http

